import _guppi
import _g_useful

class GuppiPolynomial:    
    def __init__(self, c0, _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_useful.guppi_polynomial_new_constant(c0)
        
    def copy(self, ):
        """Autogenerated from C function:
           GuppiPolynomial guppi_polynomial_copy(self, )"""
        
        _ret = _g_useful.guppi_polynomial_copy(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def degree(self, ):
        """Autogenerated from C function:
           int guppi_polynomial_degree(self, )"""
        
        _ret = _g_useful.guppi_polynomial_degree(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def coefficient(self, i):
        """Autogenerated from C function:
           double guppi_polynomial_coefficient(self, int i)"""
        
        _ret = _g_useful.guppi_polynomial_coefficient(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_coefficient(self, i, x):
        """Autogenerated from C function:
           none guppi_polynomial_set_coefficient(self, int i, double x)"""
        
        _ret = _g_useful.guppi_polynomial_set_coefficient(self._o, i, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def eval(self, x):
        """Autogenerated from C function:
           double guppi_polynomial_eval(self, double x)"""
        
        _ret = _g_useful.guppi_polynomial_eval(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def eval_D(self, x):
        """Autogenerated from C function:
           double guppi_polynomial_eval_D(self, double x)"""
        
        _ret = _g_useful.guppi_polynomial_eval_D(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def eval_DD(self, x):
        """Autogenerated from C function:
           double guppi_polynomial_eval_DD(self, double x)"""
        
        _ret = _g_useful.guppi_polynomial_eval_DD(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def scale(self, s):
        """Autogenerated from C function:
           none guppi_polynomial_scale(self, double s)"""
        
        _ret = _g_useful.guppi_polynomial_scale(self._o, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def D(self, ):
        """Autogenerated from C function:
           none guppi_polynomial_D(self, )"""
        
        _ret = _g_useful.guppi_polynomial_D(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def deflate(self, x):
        """Autogenerated from C function:
           none guppi_polynomial_deflate(self, double x)"""
        
        _ret = _g_useful.guppi_polynomial_deflate(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def inflate(self, x):
        """Autogenerated from C function:
           none guppi_polynomial_inflate(self, double x)"""
        
        _ret = _g_useful.guppi_polynomial_inflate(self._o, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiStream:    
    def __init__(self, filename, _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_useful.guppi_stream_open_file(filename)
        
    def sequential_mode(self, ):
        """Autogenerated from C function:
           bool guppi_stream_sequential_mode(self, )"""
        
        _ret = _g_useful.guppi_stream_sequential_mode(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_sequential_mode(self, ):
        """Autogenerated from C function:
           none guppi_stream_set_sequential_mode(self, )"""
        
        _ret = _g_useful.guppi_stream_set_sequential_mode(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def eol_comment(self, ):
        """Autogenerated from C function:
           const_string guppi_stream_eol_comment(self, )"""
        
        _ret = _g_useful.guppi_stream_eol_comment(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_eol_comment(self, eol_comment):
        """Autogenerated from C function:
           none guppi_stream_set_eol_comment(self, string eol_comment)"""
        
        _ret = _g_useful.guppi_stream_set_eol_comment(self._o, eol_comment)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def ml_comment_start(self, ):
        """Autogenerated from C function:
           const_string guppi_stream_ml_comment_start(self, )"""
        
        _ret = _g_useful.guppi_stream_ml_comment_start(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_ml_comment_start(self, ml_comment_start):
        """Autogenerated from C function:
           none guppi_stream_set_ml_comment_start(self, string ml_comment_start)"""
        
        _ret = _g_useful.guppi_stream_set_ml_comment_start(self._o, ml_comment_start)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def ml_comment_end(self, ):
        """Autogenerated from C function:
           const_string guppi_stream_ml_comment_end(self, )"""
        
        _ret = _g_useful.guppi_stream_ml_comment_end(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_ml_comment_end(self, ml_comment_end):
        """Autogenerated from C function:
           none guppi_stream_set_ml_comment_end(self, string ml_comment_end)"""
        
        _ret = _g_useful.guppi_stream_set_ml_comment_end(self._o, ml_comment_end)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def quote_start(self, ):
        """Autogenerated from C function:
           char guppi_stream_quote_start(self, )"""
        
        _ret = _g_useful.guppi_stream_quote_start(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def quote_end(self, ):
        """Autogenerated from C function:
           char guppi_stream_quote_end(self, )"""
        
        _ret = _g_useful.guppi_stream_quote_end(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_quote_start(self, c):
        """Autogenerated from C function:
           none guppi_stream_set_quote_start(self, char c)"""
        
        _ret = _g_useful.guppi_stream_set_quote_start(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_quote_end(self, c):
        """Autogenerated from C function:
           none guppi_stream_set_quote_end(self, char c)"""
        
        _ret = _g_useful.guppi_stream_set_quote_end(self._o, c)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def source(self, ):
        """Autogenerated from C function:
           const_string guppi_stream_source(self, )"""
        
        _ret = _g_useful.guppi_stream_source(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def number_of_lines(self, ):
        """Autogenerated from C function:
           int guppi_stream_number_of_lines(self, )"""
        
        _ret = _g_useful.guppi_stream_number_of_lines(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def estimated_number_of_lines(self, ):
        """Autogenerated from C function:
           int guppi_stream_estimated_number_of_lines(self, )"""
        
        _ret = _g_useful.guppi_stream_estimated_number_of_lines(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def number_of_preloaded_lines(self, ):
        """Autogenerated from C function:
           int guppi_stream_number_of_preloaded_lines(self, )"""
        
        _ret = _g_useful.guppi_stream_number_of_preloaded_lines(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def load_some_lines(self, ):
        """Autogenerated from C function:
           none guppi_stream_load_some_lines(self, )"""
        
        _ret = _g_useful.guppi_stream_load_some_lines(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def load_more_lines(self, ):
        """Autogenerated from C function:
           none guppi_stream_load_more_lines(self, )"""
        
        _ret = _g_useful.guppi_stream_load_more_lines(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_line(self, line_no):
        """Autogenerated from C function:
           const_string guppi_stream_get_line(self, int line_no)"""
        
        _ret = _g_useful.guppi_stream_get_line(self._o, line_no)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_marked_line(self, line_no):
        """Autogenerated from C function:
           const_string guppi_stream_get_marked_line(self, int line_no)"""
        
        _ret = _g_useful.guppi_stream_get_marked_line(self._o, line_no)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_sanitized_line(self, line_no):
        """Autogenerated from C function:
           const_string guppi_stream_get_sanitized_line(self, int line_no)"""
        
        _ret = _g_useful.guppi_stream_get_sanitized_line(self._o, line_no)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def unimplemented_function_dialog(function_name):
    """Autogenerated from C function:
       none guppi_unimplemented_function_dialog(string function_name)"""
    _ret = _g_useful.guppi_unimplemented_function_dialog(function_name)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def exit():
    """Autogenerated from C function:
       none guppi_exit()"""
    _ret = _g_useful.guppi_exit()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def abort():
    """Autogenerated from C function:
       none guppi_abort()"""
    _ret = _g_useful.guppi_abort()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def set_monitor_dpi(x_dpi, y_dpi):
    """Autogenerated from C function:
       none guppi_set_monitor_dpi(double x_dpi, double y_dpi)"""
    _ret = _g_useful.guppi_set_monitor_dpi(x_dpi, y_dpi)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def pt2in(x):
    """Autogenerated from C function:
       double guppi_pt2in(double x)"""
    _ret = _g_useful.guppi_pt2in(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def in2pt(x):
    """Autogenerated from C function:
       double guppi_in2pt(double x)"""
    _ret = _g_useful.guppi_in2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def pt2cm(x):
    """Autogenerated from C function:
       double guppi_pt2cm(double x)"""
    _ret = _g_useful.guppi_pt2cm(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def cm2pt(x):
    """Autogenerated from C function:
       double guppi_cm2pt(double x)"""
    _ret = _g_useful.guppi_cm2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def pt2mm(x):
    """Autogenerated from C function:
       double guppi_pt2mm(double x)"""
    _ret = _g_useful.guppi_pt2mm(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def mm2pt(x):
    """Autogenerated from C function:
       double guppi_mm2pt(double x)"""
    _ret = _g_useful.guppi_mm2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def pt2pc(x):
    """Autogenerated from C function:
       double guppi_pt2pc(double x)"""
    _ret = _g_useful.guppi_pt2pc(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def pc2pt(x):
    """Autogenerated from C function:
       double guppi_pc2pt(double x)"""
    _ret = _g_useful.guppi_pc2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def x_pt2px(x):
    """Autogenerated from C function:
       double guppi_x_pt2px(double x)"""
    _ret = _g_useful.guppi_x_pt2px(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def x_px2pt(x):
    """Autogenerated from C function:
       double guppi_x_px2pt(double x)"""
    _ret = _g_useful.guppi_x_px2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def y_pt2px(x):
    """Autogenerated from C function:
       double guppi_y_pt2px(double x)"""
    _ret = _g_useful.guppi_y_pt2px(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def y_px2pt(x):
    """Autogenerated from C function:
       double guppi_y_px2pt(double x)"""
    _ret = _g_useful.guppi_y_px2pt(x)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def logo_graphic_path():
    """Autogenerated from C function:
       const_string guppi_logo_graphic_path()"""
    _ret = _g_useful.guppi_logo_graphic_path()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def glade_path(filename):
    """Autogenerated from C function:
       const_string guppi_glade_path(string filename)"""
    _ret = _g_useful.guppi_glade_path(filename)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def gnome_guile_repl_path():
    """Autogenerated from C function:
       const_string gnome_guile_repl_path()"""
    _ret = _g_useful.gnome_guile_repl_path()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_path_set(path):
    """Autogenerated from C function:
       none guppi_plug_in_path_set(string path)"""
    _ret = _g_useful.guppi_plug_in_path_set(path)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_path_prepend(path):
    """Autogenerated from C function:
       none guppi_plug_in_path_prepend(string path)"""
    _ret = _g_useful.guppi_plug_in_path_prepend(path)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_path_append(path):
    """Autogenerated from C function:
       none guppi_plug_in_path_append(string path)"""
    _ret = _g_useful.guppi_plug_in_path_append(path)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_path_reset_to_default():
    """Autogenerated from C function:
       none guppi_plug_in_path_reset_to_default()"""
    _ret = _g_useful.guppi_plug_in_path_reset_to_default()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_load_all():
    """Autogenerated from C function:
       none guppi_plug_in_load_all()"""
    _ret = _g_useful.guppi_plug_in_load_all()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_exists(type, code):
    """Autogenerated from C function:
       bool guppi_plug_in_exists(const_string type, const_string code)"""
    _ret = _g_useful.guppi_plug_in_exists(type, code)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_is_loaded(type, code):
    """Autogenerated from C function:
       bool guppi_plug_in_is_loaded(const_string type, const_string code)"""
    _ret = _g_useful.guppi_plug_in_is_loaded(type, code)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def plug_in_force_load(type, code):
    """Autogenerated from C function:
       none guppi_plug_in_force_load(const_string type, const_string code)"""
    _ret = _g_useful.guppi_plug_in_force_load(type, code)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def stream_open_file(filename):
    """Autogenerated from C function:
       GuppiStream guppi_stream_open_file(string filename)"""
    _ret = _g_useful.guppi_stream_open_file(filename)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def string_is_boolean(s):
    """Autogenerated from C function:
       bool guppi_string_is_boolean(string s)"""
    _ret = _g_useful.guppi_string_is_boolean(s)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def string2boolean(s):
    """Autogenerated from C function:
       bool guppi_string2boolean(string s)"""
    _ret = _g_useful.guppi_string2boolean(s)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def string_is_int(s):
    """Autogenerated from C function:
       bool guppi_string_is_int(string s)"""
    _ret = _g_useful.guppi_string_is_int(s)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def string_is_number(s):
    """Autogenerated from C function:
       bool guppi_string_is_number(string s)"""
    _ret = _g_useful.guppi_string_is_number(s)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def version():
    """Autogenerated from C function:
       const_string guppi_version()"""
    _ret = _g_useful.guppi_version()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def version_major():
    """Autogenerated from C function:
       int guppi_version_major()"""
    _ret = _g_useful.guppi_version_major()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def version_minor():
    """Autogenerated from C function:
       int guppi_version_minor()"""
    _ret = _g_useful.guppi_version_minor()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def version_micro():
    """Autogenerated from C function:
       int guppi_version_micro()"""
    _ret = _g_useful.guppi_version_micro()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def polynomial_new_constant(c0):
    """Autogenerated from C function:
       GuppiPolynomial guppi_polynomial_new_constant(double c0)"""
    _ret = _g_useful.guppi_polynomial_new_constant(c0)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def polynomial_new_linear(c0, c1):
    """Autogenerated from C function:
       GuppiPolynomial guppi_polynomial_new_linear(double c0, double c1)"""
    _ret = _g_useful.guppi_polynomial_new_linear(c0, c1)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def polynomial_new_quadratic(c0, c1, c2):
    """Autogenerated from C function:
       GuppiPolynomial guppi_polynomial_new_quadratic(double c0, double c1, double c2)"""
    _ret = _g_useful.guppi_polynomial_new_quadratic(c0, c1, c2)
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
import _g_data

class GuppiData:    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def get_label(self, ):
        """Autogenerated from C function:
           const_string guppi_data_get_label(self, )"""
        
        _ret = _g_data.guppi_data_get_label(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_label(self, label):
        """Autogenerated from C function:
           none guppi_data_set_label(self, string label)"""
        
        _ret = _g_data.guppi_data_set_label(self._o, label)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def is_read_only(self, ):
        """Autogenerated from C function:
           bool guppi_data_is_read_only(self, )"""
        
        _ret = _g_data.guppi_data_is_read_only(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def copy(self, ):
        """Autogenerated from C function:
           GuppiData guppi_data_copy(self, )"""
        
        _ret = _g_data.guppi_data_copy(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_size_in_bytes(self, ):
        """Autogenerated from C function:
           int guppi_data_get_size_in_bytes(self, )"""
        
        _ret = _g_data.guppi_data_get_size_in_bytes(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeq(GuppiData):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def size_hint(self, size):
        """Autogenerated from C function:
           none guppi_seq_size_hint(self, size size)"""
        
        _ret = _g_data.guppi_seq_size_hint(self._o, size)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def min_index(self, ):
        """Autogenerated from C function:
           int guppi_seq_min_index(self, )"""
        
        _ret = _g_data.guppi_seq_min_index(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def max_index(self, ):
        """Autogenerated from C function:
           int guppi_seq_max_index(self, )"""
        
        _ret = _g_data.guppi_seq_max_index(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def size(self, ):
        """Autogenerated from C function:
           size guppi_seq_size(self, )"""
        
        _ret = _g_data.guppi_seq_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def count(self, ):
        """Autogenerated from C function:
           size guppi_seq_count(self, )"""
        
        _ret = _g_data.guppi_seq_count(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def empty(self, ):
        """Autogenerated from C function:
           bool guppi_seq_empty(self, )"""
        
        _ret = _g_data.guppi_seq_empty(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def nonempty(self, ):
        """Autogenerated from C function:
           bool guppi_seq_nonempty(self, )"""
        
        _ret = _g_data.guppi_seq_nonempty(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def absent(self, ):
        """Autogenerated from C function:
           bool guppi_seq_absent(self, )"""
        
        _ret = _g_data.guppi_seq_absent(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def present(self, ):
        """Autogenerated from C function:
           bool guppi_seq_present(self, )"""
        
        _ret = _g_data.guppi_seq_present(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def in_bounds(self, index):
        """Autogenerated from C function:
           bool guppi_seq_in_bounds(self, int index)"""
        
        _ret = _g_data.guppi_seq_in_bounds(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def contains_bounds(self, seq2):
        """Autogenerated from C function:
           bool guppi_seq_contains_bounds(self, GuppiSeq seq2)"""
        seq2 = getattr(seq2, '_o', seq2)
        _ret = _g_data.guppi_seq_contains_bounds(self._o, seq2)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def equal_bounds(self, seq2):
        """Autogenerated from C function:
           bool guppi_seq_equal_bounds(self, GuppiSeq seq2)"""
        seq2 = getattr(seq2, '_o', seq2)
        _ret = _g_data.guppi_seq_equal_bounds(self._o, seq2)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def shift_indices(self, delta):
        """Autogenerated from C function:
           none guppi_seq_shift_indices(self, int delta)"""
        
        _ret = _g_data.guppi_seq_shift_indices(self._o, delta)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_min_index(self, new_min):
        """Autogenerated from C function:
           none guppi_seq_set_min_index(self, int new_min)"""
        
        _ret = _g_data.guppi_seq_set_min_index(self._o, new_min)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_max_index(self, new_max):
        """Autogenerated from C function:
           none guppi_seq_set_max_index(self, int new_max)"""
        
        _ret = _g_data.guppi_seq_set_max_index(self._o, new_max)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def delete(self, index):
        """Autogenerated from C function:
           none guppi_seq_delete(self, int index)"""
        
        _ret = _g_data.guppi_seq_delete(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def delete_many(self, index, count):
        """Autogenerated from C function:
           none guppi_seq_delete_many(self, int index, size count)"""
        
        _ret = _g_data.guppi_seq_delete_many(self._o, index, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def delete_range(self, i0, i1):
        """Autogenerated from C function:
           none guppi_seq_delete_range(self, int i0, int i1)"""
        
        _ret = _g_data.guppi_seq_delete_range(self._o, i0, i1)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def grow_to_include(self, index):
        """Autogenerated from C function:
           none guppi_seq_grow_to_include(self, int index)"""
        
        _ret = _g_data.guppi_seq_grow_to_include(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def grow_to_include_range(self, i0, i1):
        """Autogenerated from C function:
           none guppi_seq_grow_to_include_range(self, int i0, int i1)"""
        
        _ret = _g_data.guppi_seq_grow_to_include_range(self._o, i0, i1)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def grow_to_overlap(self, other_seq):
        """Autogenerated from C function:
           none guppi_seq_grow_to_overlap(self, GuppiSeq other_seq)"""
        other_seq = getattr(other_seq, '_o', other_seq)
        _ret = _g_data.guppi_seq_grow_to_overlap(self._o, other_seq)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def has_missing(self, ):
        """Autogenerated from C function:
           bool guppi_seq_has_missing(self, )"""
        
        _ret = _g_data.guppi_seq_has_missing(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def missing_count(self, ):
        """Autogenerated from C function:
           size guppi_seq_missing_count(self, )"""
        
        _ret = _g_data.guppi_seq_missing_count(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def missing(self, i):
        """Autogenerated from C function:
           bool guppi_seq_missing(self, int i)"""
        
        _ret = _g_data.guppi_seq_missing(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_missing(self, i):
        """Autogenerated from C function:
           none guppi_seq_set_missing(self, int i)"""
        
        _ret = _g_data.guppi_seq_set_missing(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert_missing(self, i):
        """Autogenerated from C function:
           none guppi_seq_insert_missing(self, int i)"""
        
        _ret = _g_data.guppi_seq_insert_missing(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend_missing(self, ):
        """Autogenerated from C function:
           none guppi_seq_prepend_missing(self, )"""
        
        _ret = _g_data.guppi_seq_prepend_missing(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append_missing(self, ):
        """Autogenerated from C function:
           none guppi_seq_append_missing(self, )"""
        
        _ret = _g_data.guppi_seq_append_missing(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeqBoolean(GuppiSeq):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def get(self, index):
        """Autogenerated from C function:
           bool guppi_seq_boolean_get(self, int index)"""
        
        _ret = _g_data.guppi_seq_boolean_get(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_boolean_set(self, int index, bool value)"""
        
        _ret = _g_data.guppi_seq_boolean_set(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_all(self, value):
        """Autogenerated from C function:
           none guppi_seq_boolean_set_all(self, bool value)"""
        
        _ret = _g_data.guppi_seq_boolean_set_all(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def clear(self, ):
        """Autogenerated from C function:
           none guppi_seq_boolean_clear(self, )"""
        
        _ret = _g_data.guppi_seq_boolean_clear(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend(self, value):
        """Autogenerated from C function:
           none guppi_seq_boolean_prepend(self, bool value)"""
        
        _ret = _g_data.guppi_seq_boolean_prepend(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend_many(self, value, count):
        """Autogenerated from C function:
           none guppi_seq_boolean_prepend_many(self, bool value, size count)"""
        
        _ret = _g_data.guppi_seq_boolean_prepend_many(self._o, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append(self, value):
        """Autogenerated from C function:
           none guppi_seq_boolean_append(self, bool value)"""
        
        _ret = _g_data.guppi_seq_boolean_append(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append_many(self, value, count):
        """Autogenerated from C function:
           none guppi_seq_boolean_append_many(self, bool value, size count)"""
        
        _ret = _g_data.guppi_seq_boolean_append_many(self._o, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_boolean_insert(self, int index, bool value)"""
        
        _ret = _g_data.guppi_seq_boolean_insert(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert_many(self, index, value, count):
        """Autogenerated from C function:
           none guppi_seq_boolean_insert_many(self, int index, bool value, size count)"""
        
        _ret = _g_data.guppi_seq_boolean_insert_many(self._o, index, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bitwise_and(self, other_seq):
        """Autogenerated from C function:
           none guppi_seq_boolean_bitwise_and(self, GuppiSeqBoolean other_seq)"""
        other_seq = getattr(other_seq, '_o', other_seq)
        _ret = _g_data.guppi_seq_boolean_bitwise_and(self._o, other_seq)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bitwise_or(self, other_seq):
        """Autogenerated from C function:
           none guppi_seq_boolean_bitwise_or(self, GuppiSeqBoolean other_seq)"""
        other_seq = getattr(other_seq, '_o', other_seq)
        _ret = _g_data.guppi_seq_boolean_bitwise_or(self._o, other_seq)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bitwise_xor(self, other_seq):
        """Autogenerated from C function:
           none guppi_seq_boolean_bitwise_xor(self, GuppiSeqBoolean other_seq)"""
        other_seq = getattr(other_seq, '_o', other_seq)
        _ret = _g_data.guppi_seq_boolean_bitwise_xor(self._o, other_seq)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bitwise_not(self, ):
        """Autogenerated from C function:
           none guppi_seq_boolean_bitwise_not(self, )"""
        
        _ret = _g_data.guppi_seq_boolean_bitwise_not(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def first_true(self, ):
        """Autogenerated from C function:
           int guppi_seq_boolean_first_true(self, )"""
        
        _ret = _g_data.guppi_seq_boolean_first_true(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def next_true(self, index):
        """Autogenerated from C function:
           int guppi_seq_boolean_next_true(self, int index)"""
        
        _ret = _g_data.guppi_seq_boolean_next_true(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def true_count(self, ):
        """Autogenerated from C function:
           size guppi_seq_boolean_true_count(self, )"""
        
        _ret = _g_data.guppi_seq_boolean_true_count(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiCurve(GuppiData):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def parameter_lower_bound(self, ):
        """Autogenerated from C function:
           double guppi_curve_parameter_lower_bound(self, )"""
        
        _ret = _g_data.guppi_curve_parameter_lower_bound(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def parameter_upper_bound(self, ):
        """Autogenerated from C function:
           double guppi_curve_parameter_upper_bound(self, )"""
        
        _ret = _g_data.guppi_curve_parameter_upper_bound(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def parameter_in_bounds(self, t):
        """Autogenerated from C function:
           bool guppi_curve_parameter_in_bounds(self, double t)"""
        
        _ret = _g_data.guppi_curve_parameter_in_bounds(self._o, t)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def clamp_parameter(self, t):
        """Autogenerated from C function:
           double guppi_curve_clamp_parameter(self, double t)"""
        
        _ret = _g_data.guppi_curve_clamp_parameter(self._o, t)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_x(self, t):
        """Autogenerated from C function:
           double guppi_curve_get_x(self, double t)"""
        
        _ret = _g_data.guppi_curve_get_x(self._o, t)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get_y(self, t):
        """Autogenerated from C function:
           double guppi_curve_get_y(self, double t)"""
        
        _ret = _g_data.guppi_curve_get_y(self._o, t)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeqInteger(GuppiSeq):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def get(self, index):
        """Autogenerated from C function:
           int guppi_seq_integer_get(self, int index)"""
        
        _ret = _g_data.guppi_seq_integer_get(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_integer_set(self, int index, int value)"""
        
        _ret = _g_data.guppi_seq_integer_set(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_many_dup(self, i0, i1, value):
        """Autogenerated from C function:
           none guppi_seq_integer_set_many_dup(self, int i0, int i1, int value)"""
        
        _ret = _g_data.guppi_seq_integer_set_many_dup(self._o, i0, i1, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_all(self, value):
        """Autogenerated from C function:
           none guppi_seq_integer_set_all(self, int value)"""
        
        _ret = _g_data.guppi_seq_integer_set_all(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend(self, value):
        """Autogenerated from C function:
           none guppi_seq_integer_prepend(self, int value)"""
        
        _ret = _g_data.guppi_seq_integer_prepend(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append(self, value):
        """Autogenerated from C function:
           none guppi_seq_integer_append(self, int value)"""
        
        _ret = _g_data.guppi_seq_integer_append(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_integer_insert(self, int index, int value)"""
        
        _ret = _g_data.guppi_seq_integer_insert(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def min(self, ):
        """Autogenerated from C function:
           int guppi_seq_integer_min(self, )"""
        
        _ret = _g_data.guppi_seq_integer_min(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def max(self, ):
        """Autogenerated from C function:
           int guppi_seq_integer_max(self, )"""
        
        _ret = _g_data.guppi_seq_integer_max(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frequency(self, value):
        """Autogenerated from C function:
           int guppi_seq_integer_frequency(self, int value)"""
        
        _ret = _g_data.guppi_seq_integer_frequency(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeqCategorical(GuppiSeqInteger):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def category(self, ):
        """Autogenerated from C function:
           GuppiCategory guppi_seq_categorical_category(self, )"""
        
        _ret = _g_data.guppi_seq_categorical_category(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_category(self, cat):
        """Autogenerated from C function:
           none guppi_seq_categorical_set_category(self, GuppiCategory cat)"""
        cat = getattr(cat, '_o', cat)
        _ret = _g_data.guppi_seq_categorical_set_category(self._o, cat)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def get(self, i):
        """Autogenerated from C function:
           const_string guppi_seq_categorical_get(self, int i)"""
        
        _ret = _g_data.guppi_seq_categorical_get(self._o, i)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set(self, i, s):
        """Autogenerated from C function:
           bool guppi_seq_categorical_set(self, int i, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_set(self._o, i, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend(self, s):
        """Autogenerated from C function:
           bool guppi_seq_categorical_prepend(self, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_prepend(self._o, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append(self, s):
        """Autogenerated from C function:
           bool guppi_seq_categorical_append(self, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_append(self._o, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert(self, i, s):
        """Autogenerated from C function:
           bool guppi_seq_categorical_insert(self, int i, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_insert(self._o, i, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def frequency(self, s):
        """Autogenerated from C function:
           int guppi_seq_categorical_frequency(self, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_frequency(self._o, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def percentage(self, s):
        """Autogenerated from C function:
           double guppi_seq_categorical_percentage(self, string s)"""
        
        _ret = _g_data.guppi_seq_categorical_percentage(self._o, s)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiCategory(GuppiData):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def size(self, ):
        """Autogenerated from C function:
           size guppi_category_size(self, )"""
        
        _ret = _g_data.guppi_category_size(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def min_code(self, ):
        """Autogenerated from C function:
           int guppi_category_min_code(self, )"""
        
        _ret = _g_data.guppi_category_min_code(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def max_code(self, ):
        """Autogenerated from C function:
           int guppi_category_max_code(self, )"""
        
        _ret = _g_data.guppi_category_max_code(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def unused_code(self, ):
        """Autogenerated from C function:
           int guppi_category_unused_code(self, )"""
        
        _ret = _g_data.guppi_category_unused_code(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def define(self, str, code):
        """Autogenerated from C function:
           bool guppi_category_define(self, string str, int code)"""
        
        _ret = _g_data.guppi_category_define(self._o, str, code)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def add_by_name(self, str):
        """Autogenerated from C function:
           int guppi_category_add_by_name(self, string str)"""
        
        _ret = _g_data.guppi_category_add_by_name(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def contains(self, str):
        """Autogenerated from C function:
           bool guppi_category_contains(self, string str)"""
        
        _ret = _g_data.guppi_category_contains(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def contains_code(self, code):
        """Autogenerated from C function:
           bool guppi_category_contains_code(self, int code)"""
        
        _ret = _g_data.guppi_category_contains_code(self._o, code)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def find_by_name(self, str):
        """Autogenerated from C function:
           int guppi_category_find_by_name(self, string str)"""
        
        _ret = _g_data.guppi_category_find_by_name(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def find_by_code(self, code):
        """Autogenerated from C function:
           const_string guppi_category_find_by_code(self, int code)"""
        
        _ret = _g_data.guppi_category_find_by_code(self._o, code)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def rename(self, code, str):
        """Autogenerated from C function:
           bool guppi_category_rename(self, int code, string str)"""
        
        _ret = _g_data.guppi_category_rename(self._o, code, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeqString(GuppiSeq):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def get(self, index):
        """Autogenerated from C function:
           const_string guppi_seq_string_get(self, int index)"""
        
        _ret = _g_data.guppi_seq_string_get(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set(self, index, str):
        """Autogenerated from C function:
           none guppi_seq_string_set(self, int index, string str)"""
        
        _ret = _g_data.guppi_seq_string_set(self._o, index, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend(self, str):
        """Autogenerated from C function:
           none guppi_seq_string_prepend(self, string str)"""
        
        _ret = _g_data.guppi_seq_string_prepend(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append(self, str):
        """Autogenerated from C function:
           none guppi_seq_string_append(self, string str)"""
        
        _ret = _g_data.guppi_seq_string_append(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert(self, index, str):
        """Autogenerated from C function:
           none guppi_seq_string_insert(self, int index, string str)"""
        
        _ret = _g_data.guppi_seq_string_insert(self._o, index, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def lookup(self, str):
        """Autogenerated from C function:
           int guppi_seq_string_lookup(self, string str)"""
        
        _ret = _g_data.guppi_seq_string_lookup(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def contains(self, str):
        """Autogenerated from C function:
           bool guppi_seq_string_contains(self, string str)"""
        
        _ret = _g_data.guppi_seq_string_contains(self._o, str)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def distinct_values(self, ):
        """Autogenerated from C function:
           size guppi_seq_string_distinct_values(self, )"""
        
        _ret = _g_data.guppi_seq_string_distinct_values(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiSeqScalar(GuppiSeq):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def get(self, index):
        """Autogenerated from C function:
           double guppi_seq_scalar_get(self, int index)"""
        
        _ret = _g_data.guppi_seq_scalar_get(self._o, index)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_scalar_set(self, int index, double value)"""
        
        _ret = _g_data.guppi_seq_scalar_set(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend(self, value):
        """Autogenerated from C function:
           none guppi_seq_scalar_prepend(self, double value)"""
        
        _ret = _g_data.guppi_seq_scalar_prepend(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def prepend_repeating(self, value, count):
        """Autogenerated from C function:
           none guppi_seq_scalar_prepend_repeating(self, double value, size count)"""
        
        _ret = _g_data.guppi_seq_scalar_prepend_repeating(self._o, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append(self, value):
        """Autogenerated from C function:
           none guppi_seq_scalar_append(self, double value)"""
        
        _ret = _g_data.guppi_seq_scalar_append(self._o, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def append_repeating(self, value, count):
        """Autogenerated from C function:
           none guppi_seq_scalar_append_repeating(self, double value, size count)"""
        
        _ret = _g_data.guppi_seq_scalar_append_repeating(self._o, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert(self, index, value):
        """Autogenerated from C function:
           none guppi_seq_scalar_insert(self, int index, double value)"""
        
        _ret = _g_data.guppi_seq_scalar_insert(self._o, index, value)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def insert_repeating(self, index, value, count):
        """Autogenerated from C function:
           none guppi_seq_scalar_insert_repeating(self, int index, double value, size count)"""
        
        _ret = _g_data.guppi_seq_scalar_insert_repeating(self._o, index, value, count)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def min(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_min(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_min(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def max(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_max(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_max(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def sum(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_sum(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_sum(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def sum_abs(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_sum_abs(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_sum_abs(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def mean(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_mean(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_mean(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def var(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_var(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_var(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def vars(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_vars(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_vars(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def sdev(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_sdev(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_sdev(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def sdevs(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_sdevs(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_sdevs(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def q1(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_q1(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_q1(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def median(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_median(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_median(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def q3(self, ):
        """Autogenerated from C function:
           double guppi_seq_scalar_q3(self, )"""
        
        _ret = _g_data.guppi_seq_scalar_q3(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def percentile(self, p):
        """Autogenerated from C function:
           double guppi_seq_scalar_percentile(self, double p)"""
        
        _ret = _g_data.guppi_seq_scalar_percentile(self._o, p)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiDateIndexed(GuppiData):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

class GuppiPriceSeries(GuppiDateIndexed):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        

import _g_plot

class GuppiElementView:    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def state(self, ):
        """Autogenerated from C function:
           GuppiElementState guppi_element_view_state(self, )"""
        
        _ret = _g_plot.guppi_element_view_state(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def print_ps_to_file(self, filename):
        """Autogenerated from C function:
           none guppi_element_view_print_ps_to_file(self, string filename)"""
        
        _ret = _g_plot.guppi_element_view_print_ps_to_file(self._o, filename)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def freeze(self, ):
        """Autogenerated from C function:
           none guppi_element_view_freeze(self, )"""
        
        _ret = _g_plot.guppi_element_view_freeze(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def thaw(self, ):
        """Autogenerated from C function:
           none guppi_element_view_thaw(self, )"""
        
        _ret = _g_plot.guppi_element_view_thaw(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def spew_xml(self, ):
        """Autogenerated from C function:
           none guppi_element_view_spew_xml(self, )"""
        
        _ret = _g_plot.guppi_element_view_spew_xml(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiElementState:    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def make_view(self, ):
        """Autogenerated from C function:
           GuppiElementView guppi_element_state_make_view(self, )"""
        
        _ret = _g_plot.guppi_element_state_make_view(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def spew_xml(self, ):
        """Autogenerated from C function:
           none guppi_element_state_spew_xml(self, )"""
        
        _ret = _g_plot.guppi_element_state_spew_xml(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiGroupState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_plot.guppi_group_state_new()
        

class GuppiGroupView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def has(self, v):
        """Autogenerated from C function:
           bool guppi_group_view_has(self, GuppiElementView v)"""
        v = getattr(v, '_o', v)
        _ret = _g_plot.guppi_group_view_has(self._o, v)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def add(self, v):
        """Autogenerated from C function:
           none guppi_group_view_add(self, GuppiElementView v)"""
        v = getattr(v, '_o', v)
        _ret = _g_plot.guppi_group_view_add(self._o, v)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def remove(self, v):
        """Autogenerated from C function:
           none guppi_group_view_remove(self, GuppiElementView v)"""
        v = getattr(v, '_o', v)
        _ret = _g_plot.guppi_group_view_remove(self._o, v)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def replace(self, v_old, v_new):
        """Autogenerated from C function:
           none guppi_group_view_replace(self, GuppiElementView v_old, GuppiElementView v_new)"""
        v_old = getattr(v_old, '_o', v_old)
        v_new = getattr(v_new, '_o', v_new)
        _ret = _g_plot.guppi_group_view_replace(self._o, v_old, v_new)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiRootGroupView(GuppiGroupView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        
    def set_size(self, width, height):
        """Autogenerated from C function:
           none guppi_root_group_view_set_size(self, double width, double height)"""
        
        _ret = _g_plot.guppi_root_group_view_set_size(self._o, width, height)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def width(self, ):
        """Autogenerated from C function:
           double guppi_root_group_view_width(self, )"""
        
        _ret = _g_plot.guppi_root_group_view_width(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def height(self, ):
        """Autogenerated from C function:
           double guppi_root_group_view_height(self, )"""
        
        _ret = _g_plot.guppi_root_group_view_height(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiGeometry:    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_plot.guppi_geometry_new()
        
    def left(self, ):
        """Autogenerated from C function:
           double guppi_geometry_left(self, )"""
        
        _ret = _g_plot.guppi_geometry_left(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def right(self, ):
        """Autogenerated from C function:
           double guppi_geometry_right(self, )"""
        
        _ret = _g_plot.guppi_geometry_right(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def top(self, ):
        """Autogenerated from C function:
           double guppi_geometry_top(self, )"""
        
        _ret = _g_plot.guppi_geometry_top(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def bottom(self, ):
        """Autogenerated from C function:
           double guppi_geometry_bottom(self, )"""
        
        _ret = _g_plot.guppi_geometry_bottom(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_position(self, l, r, t, b):
        """Autogenerated from C function:
           none guppi_geometry_set_position(self, double l, double r, double t, double b)"""
        
        _ret = _g_plot.guppi_geometry_set_position(self._o, l, r, t, b)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    

class GuppiRootGroupState(GuppiGroupState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_plot.guppi_root_group_state_new()
        


def geometry_new():
    """Autogenerated from C function:
       GuppiGeometry guppi_geometry_new()"""
    _ret = _g_plot.guppi_geometry_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def group_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_group_state_new()"""
    _ret = _g_plot.guppi_group_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret

def root_group_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_root_group_state_new()"""
    _ret = _g_plot.guppi_root_group_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
import _g_stat

class GuppiSimpleLinreg:    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_stat.guppi_simple_linreg_new()
        
    def set_x_data(self, data):
        """Autogenerated from C function:
           none guppi_simple_linreg_set_x_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_stat.guppi_simple_linreg_set_x_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_y_data(self, data):
        """Autogenerated from C function:
           none guppi_simple_linreg_set_y_data(self, GuppiSeqScalar data)"""
        data = getattr(data, '_o', data)
        _ret = _g_stat.guppi_simple_linreg_set_y_data(self._o, data)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_mask(self, mask):
        """Autogenerated from C function:
           none guppi_simple_linreg_set_mask(self, GuppiSeqBoolean mask)"""
        mask = getattr(mask, '_o', mask)
        _ret = _g_stat.guppi_simple_linreg_set_mask(self._o, mask)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slope(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_slope(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_slope(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def intercept(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_intercept(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_intercept(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def R(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_R(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_R(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def R_squared(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_R_squared(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_R_squared(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def residual_sdev(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_residual_sdev(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_residual_sdev(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slope_serr(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_slope_serr(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_slope_serr(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def intercept_serr(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_intercept_serr(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_intercept_serr(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slope_t(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_slope_t(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_slope_t(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def intercept_t(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_intercept_t(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_intercept_t(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slope_p(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_slope_p(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_slope_p(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def intercept_p(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_intercept_p(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_intercept_p(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def F(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_F(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_F(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def F_p(self, ):
        """Autogenerated from C function:
           double guppi_simple_linreg_F_p(self, )"""
        
        _ret = _g_stat.guppi_simple_linreg_F_p(self._o, )
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def simple_linreg_new():
    """Autogenerated from C function:
       GuppiSimpleLinreg guppi_simple_linreg_new()"""
    _ret = _g_stat.guppi_simple_linreg_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_name2cls = {}
_supported = map(lambda x: eval(x), filter(lambda x: x[:5] == 'Guppi', dir()))
_m = None
for _m in _supported:
    _name2cls[_m.__name__] = _m
del _m
_guppi.register_classes(_name2cls)
def _obj2inst(obj):
        objname = _guppi.type_name(obj)
        if _guppi.classes.has_key(objname):
                return _guppi.classes[objname](_obj=obj)
        else: return obj
