'''Wrappers for Guppi's plotting plug-ins. Most of this file is autogenerated.
'''

import _guppi
from Guppi import *

class LazyModule:
    '''This class is needed to implement lazy loading of plugins.
    To facilitate the use of a module M, we create a LazyModule with name
    "M". When someone tries to access object M.x, the LazyModule instance
    imports the _real_ module M, gives up its ownership of the name M to 
    the new module M, and then fulfills the original request.

    Note that this only works in the same namespace, so you can't
    import this module and then use LazyModule in another namespace 
    and expect it to work.
        
    name = name of the real module.'''
        
    def __init__(self, name):
	self.name = name
    def __getattr__(self, attr):
        self.initModule()
	exec ('''import %(m)s
_x=%(m)s
global %(m)s
%(m)s = _x''' % {'m' : self.name})
	return getattr(_x, attr)

    def initModule(self):
        '''overload this method to initialize the module'''
        pass


class LazyPluginModule(LazyModule):
    '''A LazyModule which initializes a Guppi plugin and loads its module.'''
    def __init__(self, name, plugin_type, plugin_code):
        LazyModule.__init__(self, name)
        self.plugin_type = plugin_type
        self.plugin_code = plugin_code
        
    def initModule(self):
        _guppi.load_plug_in(self.plugin_type, self.plugin_code)
_g_axis = LazyPluginModule('_g_axis', 'plot', 'axis')


def axis_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_axis_state_new()"""
    _ret = _g_axis.guppi_axis_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_barchart = LazyPluginModule('_g_barchart', 'plot', 'barchart')

class GuppiBarchartState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_barchart.guppi_barchart_state_new()
        


def barchart_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_barchart_state_new()"""
    _ret = _g_barchart.guppi_barchart_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_boxplot = LazyPluginModule('_g_boxplot', 'plot', 'boxplot')


def boxplot_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_boxplot_state_new()"""
    _ret = _g_boxplot.guppi_boxplot_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_frame = LazyPluginModule('_g_frame', 'plot', 'frame')


def frame_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_frame_state_new()"""
    _ret = _g_frame.guppi_frame_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_legend = LazyPluginModule('_g_legend', 'plot', 'legend')

class GuppiLegendState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_legend.guppi_legend_state_new()
        

class GuppiLegendView(GuppiElementView):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        raise ValueError, "Class does not have a constructor."
        


def legend_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_legend_state_new()"""
    _ret = _g_legend.guppi_legend_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_pie = LazyPluginModule('_g_pie', 'plot', 'pie')

class GuppiPieState(GuppiElementState):    
    def __init__(self,  _obj=None):
        if _obj: self._o = _obj; return
        self._o = _g_pie.guppi_pie_state_new()
        
    def slice_color(self, slice_num):
        """Autogenerated from C function:
           color guppi_pie_state_slice_color(self, int slice_num)"""
        
        _ret = _g_pie.guppi_pie_state_slice_color(self._o, slice_num)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def slice_offset(self, slice_num):
        """Autogenerated from C function:
           double guppi_pie_state_slice_offset(self, int slice_num)"""
        
        _ret = _g_pie.guppi_pie_state_slice_offset(self._o, slice_num)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    
    
    def set_slice_offset(self, slice_num, x):
        """Autogenerated from C function:
           none guppi_pie_state_set_slice_offset(self, int slice_num, double x)"""
        
        _ret = _g_pie.guppi_pie_state_set_slice_offset(self._o, slice_num, x)
        if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
        return _ret
    


def pie_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_pie_state_new()"""
    _ret = _g_pie.guppi_pie_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_scatter = LazyPluginModule('_g_scatter', 'plot', 'scatter')


def scatter_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_scatter_state_new()"""
    _ret = _g_scatter.guppi_scatter_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_g_xybox = LazyPluginModule('_g_xybox', 'plot', 'xybox')

_g_text = LazyPluginModule('_g_text', 'plot', 'text')


def text_state_new():
    """Autogenerated from C function:
       GuppiElementState guppi_text_state_new()"""
    _ret = _g_text.guppi_text_state_new()
    if type(_ret) is _guppi.GuppiObjectType: _ret = _obj2inst(_ret)
    return _ret
_name2cls = {}
_supported = map(lambda x: eval(x), filter(lambda x: x[:5] == 'Guppi', dir()))
_m = None
for _m in _supported:
    _name2cls[_m.__name__] = _m
del _m
_guppi.register_classes(_name2cls)
def _obj2inst(obj):
        objname = _guppi.type_name(obj)
        if _guppi.classes.has_key(objname):
                return _guppi.classes[objname](_obj=obj)
        else: return obj
